import { Router } from 'express'
import { getMergedMetadata } from '../meta.js'

const router = new Router()

router.get('/meta', async (req, res, next) => {
  try {
    res.send(await getMergedMetadata({ version: res.version }))
  } catch (err) {
    next(err)
  }
})

export default router
